For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get templates

Retrieve available OS templates for virtual machines. Use this endpoint to view operating system options before creating or recreating VPS instances.

Get templates

get

Retrieve available OS templates for virtual machines.

Use this endpoint to view operating system options before creating or recreating VPS instances.

Authorizations
AuthorizationstringRequired

API Token authentication

Responses
200

Success response

application/json
idintegerOptional

Template ID

Example: 6523
namestringOptional

Template name

Example: Ubuntu 20.04 LTS
descriptionstringOptional

Template description

Example: Ubuntu 20.04 LTS
documentationstring · nullableOptional

Link to official OS documentation

Example: https://docs.ubuntu.com
get/api/vps/v1/templates
GET /api/vps/v1/templates HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": 6523,
    "name": "Ubuntu 20.04 LTS",
    "description": "Ubuntu 20.04 LTS",
    "documentation": "https://docs.ubuntu.com"
  }
]

Last updated

Was this helpful?